qca_securelayer.h File Reference
`#include "qca_cert.h"`
`#include "qca_core.h"`
`#include "qca_publickey.h"`
`#include <QObject>`
Include dependency graph for qca_securelayer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | QCA::SASL::Params
class | QCA::SASL
class | QCA::SecureLayer
class | QCA::TLS
class | QCA::TLSSession

## Namespaces

namespace | QCA

## Enumerations

enum | QCA::SecurityLevel { QCA::SL_None , QCA::SL_Integrity , QCA::SL_Export , QCA::SL_Baseline , QCA::SL_High , QCA::SL_Highest }

## Detailed Description

Header file for SecureLayer and its subclasses.

Note
  You should not use this header directly from an application. You should just use #include <QtCrypto> instead.